﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace LdapImport
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            textBox_user.Text = Environment.UserName;
            textBox_domain.Text = Environment.UserDomainName;
        }

        private void button_test_Click(object sender, EventArgs e)
        {
            var conn = new Connection(textBox_domain.Text, textBox_user.Text, textBox_password.Text);
            if (conn.Test())
            {
                MessageBox.Show("OK");
            }
            else
            {
                MessageBox.Show("Error");
            }
        }

        private void button_search_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(textBox_group.Text))
            {
                var conn = new Connection(textBox_domain.Text, textBox_user.Text, textBox_password.Text);
                if (conn.Test())
                {
                    var search = conn.SearchUsers(textBox_group.Text, checkBox_locked.Checked);

                    dataGridView_results.DataSource = search;
                    groupBox_results.Text = $"Найдено ({search.Count})";
                }
                else
                {
                    MessageBox.Show("Error");
                }
            }
            else
            {
                MessageBox.Show("Введите группу");
            }
        }

        private void button_import_Click(object sender, EventArgs e)
        {
            var ds = dataGridView_results.DataSource as List<User>;

            if (ds != null)
            {
                // ds.ForEach( import... );
            }
            else
            {
                MessageBox.Show("Нечего импортировать");
            }
        }
    }
}
